report/ab-test
GET
/report/ab-testFetch A/B test metrics split by control and test variants. Requires the reports:read permission.
Request
cURL
curl -X GET "https://provisioning.cloudx.io/api/v1/report/ab-test?ab_test_id=abtest_123&start_time=1712448000&end_time=1712534399" \
-H "Authorization: Bearer $CLOUDX_API_KEY"Query parameters
| Name | Type | Description |
|---|---|---|
ab_test_idrequired | string | A/B test ID to report. |
start_timerequired | integer<int64> | Start of the time range as a Unix timestamp in seconds. The requested range must not exceed 31 days and must not start before 2020-01-01 UTC. |
end_timerequired | integer<int64> | End of the time range as a Unix timestamp in seconds. The requested range must not exceed 31 days and must not end before 2020-01-01 UTC. |
Responses
A/B test metrics split by variant.
{
"control": {
"daily": [
{
"date": "2026-03-01",
"revenue": 12.34,
"impressions": 123,
"requests": 123,
"ecpm": 12.34,
"fill_rate": 12.34,
"dau": 123
}
],
"cumulative": {
"revenue": 12.34,
"impressions": 123,
"requests": 123,
"ecpm": 12.34,
"fill_rate": 12.34
}
},
"test": {
"daily": [
{
"date": "2026-03-01",
"revenue": 12.34,
"impressions": 123,
"requests": 123,
"ecpm": 12.34,
"fill_rate": 12.34,
"dau": 123
}
],
"cumulative": {
"revenue": 12.34,
"impressions": 123,
"requests": 123,
"ecpm": 12.34,
"fill_rate": 12.34
}
},
"status": "<string>",
"lift": 12.34,
"ci_low": 12.34,
"ci_high": 12.34,
"p_value": 12.34,
"n_control": 123,
"n_test": 123,
"required_n": 123,
"chi_squared_p": 12.34
}200 A/B test metrics split by variant.
| Field | Type | Description |
|---|---|---|
controlrequired | object | |
testrequired | object | |
status | string | Latest snapshot status (in_progress, directional, achieved, invalidated). |
lift | number<double> | |
ci_low | number<double> | |
ci_high | number<double> | |
p_value | number<double> | |
n_control | integer<int64> | |
n_test | integer<int64> | |
required_n | integer<int64> | |
chi_squared_p | number<double> |
400 Invalid request parameters.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
401 Unauthorized.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
403 Forbidden.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
500 Internal server error.
| Field | Type | Description |
|---|---|---|
errorrequired | string |